Package org.apache.commons.math3.geometry.euclidean.oned

# Class Euclidean1D

java.lang.Object
org.apache.commons.math3.geometry.euclidean.oned.Euclidean1D

All Implemented Interfaces:
  `Serializable`, `Space`

public class Euclidean1D extends Object implements Serializable, Space
This class implements a one-dimensional space.

Since:
  3.0
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Euclidean1D.NoSubSpaceException`
Specialized exception for inexistent sub-space.

## Method Summary

Modifier and Type
Method
Description
`int`
`getDimension()`
Get the dimension of the space.
`static Euclidean1D`
`getInstance()`
Get the unique instance.
`Space`
`getSubSpace()`
Get the n-1 dimension subspace of this space.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static Euclidean1D getInstance()
Get the unique instance.

Returns:
  the unique instance

### getDimension

public int getDimension()
Get the dimension of the space.

Specified by:
  `getDimension` in interface `Space`
Returns:
  dimension of the space

### getSubSpace

public Space getSubSpace() throws Euclidean1D.NoSubSpaceException
Get the n-1 dimension subspace of this space.

As the 1-dimension Euclidean space does not have proper sub-spaces, this method always throws a `Euclidean1D.NoSubSpaceException`

Specified by:
  `getSubSpace` in interface `Space`
Returns:
  nothing
Throws:
  `Euclidean1D.NoSubSpaceException` - in all cases
See Also:
  - `Space.getDimension()`